%define name cdloop
%define version 3.1.0
%define release 2mdk
%define summary CDloop is an audio CD player with special looping capabilities

Summary: %{summary}
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL 
URL: http://www.cbrunzema.de/software.html#cdloop
Group: Sound
Source: %{name}-%{version}.tar.bz2
Patch:	cdloop-3.0.4-no-x.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libguile-gtk-1.2_0-devel
# for amixer
BuildRequires: alsa-utils
BuildRequires: autoconf2.5
Requires: alsa-utils
Requires: libguile-gtk-1.2_0 >= 0.31-2mdk

%description
CDloop is an audio CD player with special looping capabilities.
Intended for musicians who want to analyze or play along to parts of a CD.
The boundaries of the looped area on the CD can be adjusted in small steps.
Cdloop can pause before repeating the loop again so you 'stay in the groove'.
You can save your loop boundaries as bookmarks.
It runs under Linux/X11 with guile-gtk. 

CAUTION: System vol is set to max by program launch

%prep
%setup -q -n %name-%version
%patch

%build
autoconf
%configure2_5x
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):\
needs="x11"\
section="Multimedia/Sound"\
title="Cdloop"\
longtitle="%{summary}"\
command="cdloop"\
icon="cd-mdk.png"
EOF

%post
%{update_menus}

%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog INSTALL  README THANKS TODO doc/cdlooprc.example
%{_bindir}/cdloop*
%{_menudir}/%{name}

%changelog
* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.1.0-2mdk
- fix buildrequires

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.1.0-1mdk
- fix file list
- new version

* Tue Feb 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.0.4-1mdk
- patch to build without X
- fix deps
- fix URL
- from Charles A Edwards <eslrahc@bellsouth.net>
  - initial pkg

